org.apache.geode.security.generator

## Class DummyCredentialGenerator

- java.lang.Object
- - org.apache.geode.security.generator.CredentialGenerator
  - - org.apache.geode.security.generator.DummyCredentialGenerator

-     public class DummyCredentialGenerator
      extends CredentialGenerator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.security.generator.CredentialGenerator

      `CredentialGenerator.ClassCode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.security.generator.CredentialGenerator

      `javaProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyCredentialGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialGenerator.ClassCode` | `classCode()` The `CredentialGenerator.ClassCode` of this particular implementation.
    `java.lang.String` | `getAuthenticator()` The name of the `Authenticator` factory function that should be used in conjunction with the credentials generated by this generator.
    `java.lang.String` | `getAuthInit()` The name of the `AuthInitialize` factory function that should be used in conjunction with the credentials generated by this generator.
    `java.util.Properties` | `getInvalidCredentials(int index)` Get a set of invalid credentials generated using the given index.
    `java.util.Properties` | `getValidCredentials(int index)` Get a set of valid credentials generated using the given index.
    `java.util.Properties` | `getValidCredentials(java.security.Principal principal)` Get a set of valid credentials for the given `Principal`.
    `protected java.util.Properties` | `initialize()` Initialize the credential generator.

    - ### Methods inherited from class org.apache.geode.security.generator.CredentialGenerator

      `create, getJavaProperties, getSystemProperties, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyCredentialGenerator

          public DummyCredentialGenerator()

  - ### Method Detail

    - #### initialize

          protected java.util.Properties initialize()
                                             throws java.lang.IllegalArgumentException

      Description copied from class: `CredentialGenerator`
      Initialize the credential generator. This is provided separately from the `CredentialGenerator.init()` method for convenience of implementations so that they do not need to store in `CredentialGenerator.systemProperties`. The latter is convenient for the users who do not need to store these properties rather can obtain it later by invoking `CredentialGenerator.getSystemProperties()`

      Required to be implemented by concrete classes that implement this abstract class.

      Specified by:
        `initialize` in class `CredentialGenerator`
      Returns:
        A set of extra properties that should be added to Gemfire system properties when not null.
      Throws:
        `java.lang.IllegalArgumentException` - when there is a problem during initialization

    - #### classCode

          public CredentialGenerator.ClassCode classCode()

      Description copied from class: `CredentialGenerator`
      The `CredentialGenerator.ClassCode` of this particular implementation.
      Specified by:
        `classCode` in class `CredentialGenerator`
      Returns:
        the `ClassCode`

    - #### getAuthInit

          public java.lang.String getAuthInit()

      Description copied from class: `CredentialGenerator`
      The name of the `AuthInitialize` factory function that should be used in conjunction with the credentials generated by this generator.
      Specified by:
        `getAuthInit` in class `CredentialGenerator`
      Returns:
        name of the `AuthInitialize` factory function

    - #### getAuthenticator

          public java.lang.String getAuthenticator()

      Description copied from class: `CredentialGenerator`
      The name of the `Authenticator` factory function that should be used in conjunction with the credentials generated by this generator.
      Specified by:
        `getAuthenticator` in class `CredentialGenerator`
      Returns:
        name of the `Authenticator` factory function

    - #### getValidCredentials

          public java.util.Properties getValidCredentials(int index)

      Description copied from class: `CredentialGenerator`
      Get a set of valid credentials generated using the given index.
      Specified by:
        `getValidCredentials` in class `CredentialGenerator`

    - #### getValidCredentials

          public java.util.Properties getValidCredentials(java.security.Principal principal)

      Description copied from class: `CredentialGenerator`
      Get a set of valid credentials for the given `Principal`.
      Specified by:
        `getValidCredentials` in class `CredentialGenerator`
      Returns:
        credentials for the given `Principal` or null if none possible.

    - #### getInvalidCredentials

          public java.util.Properties getInvalidCredentials(int index)

      Description copied from class: `CredentialGenerator`
      Get a set of invalid credentials generated using the given index.
      Specified by:
        `getInvalidCredentials` in class `CredentialGenerator`